Subject: [bug#66747] [PATCH v2] gnu: font-google-noto: Update to 23.11.1.

From: Bruno Victal <[email-masked]>
Date: Wed, 29 Nov 2023 18:35:48 +0000

Hi Hugo,

On 2023-11-29 14:01, Hugo Buddelmeijer wrote:
> This change seems to have broken the fonts in sway (wayland compositor).
> 
> This is my Sway status bar:
> 
> $ cat .config/sway/status.sh
> DATE=$(date +'%Y-%m-%d %H:%M:%S')
> BATTERY=$(cat /sys/class/power_supply/BAT0/capacity)
> echo "🔋${BATTERY} 📅 ${DATE}"

I didn't check with the old (and ancient, which had
U+2026 … HORIZONTAL ELLIPSIS broken) font-google-noto package though
I can confirm that I'm seeing TOFU when I lookup these characters
with 'gucharmap' command for 'Noto Sans Mono'.

Could you report this to upstream via [1] as indicated in the
README.md [2]?

[1]: <https://notofonts.github.io/reporter.html>
[2]: <https://github.com/notofonts/notofonts.github.io>

-- 
Furthermore, I consider that nonfree software must be eradicated.

Cheers,
Bruno.